Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.table
Class PropertyValueRenderer

public class PropertyValueRenderer
implements TableCellRenderer

Represents the renderer for a property value.

Author:
  TogetherSoft

Field Summary
`final static PropertyValueRenderer` | `INSTANCE` Instance of this class without the white background.
`final static PropertyValueRenderer` | `WHITE_INSTANCE` Instance of this class with the white background.

Constructor Summary
`PropertyValueRenderer()` Creates this renderer without the white background.
`PropertyValueRenderer(boolean drawBorder, boolean whiteBackground)` Creates this renderer with the white background.

Method Summary
`Component` | `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)` Returns AWT component which renderers certain cell from the JTable.

Field Detail

### INSTANCE

    public final static PropertyValueRenderer INSTANCE

  Instance of this class without the white background.

### WHITE_INSTANCE

    public final static PropertyValueRenderer WHITE_INSTANCE

  Instance of this class with the white background.

Constructor Detail

### PropertyValueRenderer

    public PropertyValueRenderer()

  Creates this renderer without the white background.

### PropertyValueRenderer

    public PropertyValueRenderer(boolean drawBorder, boolean whiteBackground)

  Creates this renderer with the white background.

Method Detail

### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)

  Returns AWT component which renderers certain cell from the JTable.

Association Links

to Class com.togethersoft.openapi.ide.inspector.util.table.PropertyValueRenderer

  Instance of this class without the white background.

to Class com.togethersoft.openapi.ide.inspector.util.table.PropertyValueRenderer

  Instance of this class with the white background.

to Class javax.swing.table.TableCellRenderer

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD